## libdata-table-perl 1.75

=== debian/changelog ===
libdata-table-perl (1.75-1) unstable; urgency=medium

  * Imported Upstream version 1.75
  * debian/control: Add myself to Uploaders
  * debian/copyright: Update debian/* years
  * Declare compliance with Debian policy 3.9.8
  * debian/patches/fix-pod2man-error.patch: Refresh patch
  * debian/patches/fix-spelling-error-in-manpage.patch: Refresh patch

 -- Angel Abad <angel@debian.org>  Mon, 09 May 2016 19:04:27 +0200

libdata-table-perl (1.72-2) unstable; urgency=medium

  * Team upload.

  [ Lucas Kanashiro ]
  * d/tests: create smoke-files with some necessary CSV files for the tests
  * Create patch fixing typos in manpage
  * Create patch fixing pod2man error

  [ gregor herrmann ]
  * Fix {Upstream-,}Contact in debian/{copyright,upstream/metadata}.
  * Make short description a noun phrase.

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Fri, 04 Mar 2016 01:20:05 -0300

libdata-table-perl (1.72-1) unstable; urgency=low

  * Initial Release (Closes: #815424)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 21 Feb 2016 14:24:15 +0100
