=== debian/control ===
Source: libdata-table-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>,
           Angel Abad <angel@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libdata-table-perl.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libdata-table-perl.git
Homepage: https://metacpan.org/release/Data-Table

Package: libdata-table-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: module to manipulate data tables in perl (as in R)
 This perl package uses perl5 objects to make it easy for manipulating
 spreadsheet data among disk files, database, and Web publishing.
 .
 A table object contains a header and a two-dimensional array of scalars. Four
 class methods Data::fromFile, Data::Table::fromCSV, Data::Table::fromTSV, and
 Data::Table::fromSQL allow users to create a table object from a CSV/TSV file
 or a database SQL selection in a snap.
 .
 Table methods provide basic access, add, delete row(s) or column(s)
 operations, as well as more advanced sub-table extraction, table sorting,
 record matching via keywords or patterns, table merging, and web publishing.
 Data::Table class also provides a straightforward interface to other popular
 Perl modules such as DBI and GD::Graph.
