## libdata-table-perl 1.76

=== debian/changelog ===
libdata-table-perl (1.76-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Angel Abad ]
  * Import upstream version 1.76
  * debian/copyright: Update copyright years
  * debian/rules: Remove upstreams Makefile
  * Bump Standards-Version to 4.1.1 (no changes)

 -- Angel Abad <angel@debian.org>  Thu, 23 Nov 2017 17:42:55 +0100
