=== debian/watch ===
version=3
https://metacpan.org/release/Data-Table   .*/Data-Table-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
