## libdata-table-perl 1.77

=== debian/changelog ===
libdata-table-perl (1.77-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 1.77.
  * debian/rules: drop override_dh_auto_clean, removed file is gone.
  * Drop fix-pod2man-error.patch, applied upstream.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.
  * Add debian/tests/pkg-perl/use-name to enable use.t.

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Jan 2019 21:34:12 +0100
