=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: perl
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libdata-table-perl.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libdata-table-perl.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdata-table-perl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdata-table-perl.git
 Homepage: https://metacpan.org/release/Data-Table
 
 Package: libdata-table-perl
