## libdata-table-perl 1.78

=== debian/changelog ===
libdata-table-perl (1.78-1) unstable; urgency=medium

  * Team upload,
  * Import upstream version 1.78.
  * Refresh fix-spelling-error-in-manpage.patch (offset).
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Feb 2020 00:22:36 +0100
