=== debian/watch ===
version=4
https://metacpan.org/release/Data-Table   .*/Data-Table-v?@ANY_VERSION@@ARCHIVE_EXT@$
